Imports System 
Imports System.windows.forms
Imports GTA
Imports System.Drawing
Public Class lemmingfix

    Inherits Script

    Public Sub New()
        Me.Interval = 100
    End Sub

    Shadows Sub keyDown(ByVal sender As Object, ByVal e As GTA.KeyEventArgs) Handles MyBase.KeyDown
        
    End Sub

    Shadows Sub keyUp(ByVal sender As Object, ByVal e As GTA.KeyEventArgs) Handles MyBase.KeyUp
    End Sub

    Private Sub general_tick(ByVal sender As Object, ByVal e As EventArgs) Handles MyBase.Tick
        If Player.WantedLevel = 6 Then
            If Player.Character.isInVehicle = True Then
                If Player.Character.CurrentVehicle.Model.isHelicopter = True Or Player.Character.CurrentVehicle.Model.isBoat = True Then
                    Dim lemmings As Ped(), lemming As Ped
                    lemmings = World.GetAllPeds("M_M_GunNut_01")
                    For Each lemming In lemmings
                        If lemming.isInAir Or lemming.isInWater Then
                            lemming.Delete()
                        End If
                    Next
                End If
            End If
        End If
    End Sub

    Private Sub console_CMD(ByVal sender As Object, ByVal e As ConsoleEventArgs) Handles MyBase.ConsoleCommand

    End Sub

    Private Sub GraphicsEventHandler(ByVal sender As Object, ByVal e As GTA.GraphicsEventArgs) Handles MyBase.PerFrameDrawing
    End Sub

    Private Sub msg(ByVal sMsg As String, ByVal time As Int32)
        Native.Function.Call("PRINT_STRING_WITH_LITERAL_STRING_NOW", "STRING", sMsg, time, 1)
    End Sub
End Class
